Get a SEPA Direct Debit collection
curl --request GET \
--url https://thirdparty.qonto.com/v2/sepa/direct_debit_collections/{direct_debit_collection_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/sepa/direct_debit_collections/{direct_debit_collection_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/sepa/direct_debit_collections/{direct_debit_collection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"direct_debit_collection": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"direct_debit_subscription_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": {
"value": "102.34",
"currency": "EUR"
},
"collection_date": "2026-01-01",
"status": "completed",
"unique_mandate_reference": "<string>",
"status_reason": "<string>",
"status_reason_code": "<string>"
}
}Collections
Get a SEPA Direct Debit collection
OAuth scope: sepa_direct_debit.read
Get a single SEPA Direct Debit collection by ID. Allows polling for collection outcome (e.g. if a webhook was missed).
GET
/
v2
/
sepa
/
direct_debit_collections
/
{direct_debit_collection_id}
Get a SEPA Direct Debit collection
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Path Parameters
SEPA Direct Debit collection ID
Response
The SEPA Direct Debit collection has been retrieved successfully.
Show child attributes
Show child attributes
Was this page helpful?
⌘I